## gnat-gps 5.3dfsg

=== cli/Makefile ===
default:
	gprbuild -p -Pcli -cargs $(COVERAGE_CARGS) -largs $(COVERAGE_LARGS)
