=== debian/changelog ===
gnat-gps (5.3dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + gnat-gps: Recommend gdb | gdb-minimal.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 09 Jan 2015 23:38:21 +0100

gnat-gps (5.3dfsg-1) unstable; urgency=medium

  * Repackage with correct licensing for documentation. Closes: #768547.
    copyright: the user's guide is licensed under GFDL-1.1+.
    README.source: archive now compressed with xz instead of bz2 (-33%).
    Remove obsolete lintian-overrides and separate doc copyright.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 21:34:18 +0100
