=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat-4.9, libgnatprj4.9-dev,
 libxmlada5-dev,
# dh_sphinxdoc
 sphinx-common,
# other js libraries
 dh-linktree,
 libtemplates-parser11.8.2015-dev,
 pkg-config,
 libgtkada2.24.4-dev, libgtk2.0-dev,
 libgnatcoll1.6-dev,
 libgnatcoll-gtk1.6-dev,
 libgnatcoll-sqlite1.6-dev,
Build-Depends-Indep: texinfo,  imagemagick,
 libjs-prototype (>= 1.6.1),
 libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended,
 texlive-generic-recommended,
 texlive-latex-extra, texlive-latex-recommended,
 python-sphinx, graphviz
Standards-Version: 3.9.5
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
 libgnatcoll-sqlite-bin
Recommends: gnat (>= 4.9), gdb | gdb-minimal (>= 6.8), python-gtk2,
 gnat-gps-doc (= ${source:Version})
Suggests: gprbuild
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.

Package: gnat-gps-dbg
Architecture: any
Priority: extra
Section: debug
Depends: gnat-gps (= ${binary:Version}), ${misc:Depends}
Description: integrated development environment for C and Ada (debugging symbols)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the detached debugging symbols for debugging GPS.

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: ada-reference-manual-2012, gprbuild-doc
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in ASCII, Info, HTML and
 PostScript formats. This documentation consists of:
 .
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.
