=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of GPS. See debian/README.source for details.
