## gnat-gps 6.1.1

=== cli/Makefile ===
GPRBUILD=gprbuild

all default:
	$(GPRBUILD) -p -Pcli
