=== gps/Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 .PHONY: default resources do_links all clean
 
 default: all
+
+gps_and_cli: all
+	$(MAKE) -C ../cli all
 
 include ../Makefile.gnat
 
@@ -40,9 +43,14 @@
 	$(MAKE) -s -C ../common/expect
 endif
 
+# If gnatlib/gnat_src exists, we use symbolic links to find the files we
+# need, otherwise we assume that cron-src has put them in gnat/ already.
+# Those few files are needed to generate support plug-ins for GPS.
 do_links:
+ifneq ($(wildcard ../gnatlib/gnat_src),)
 	-@$(foreach f,$(GNAT_SOURCES), \
 	  $(LN) ../gnatlib/gnat_src/$(f) ../gnat > /dev/null 2>&1 ;)
+endif
 
 clean:
 ifeq ($(OS),Windows_NT)
