=== debian/changelog ===
gnat-gps (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Build with gnat-6. Closes: #830379.
    Build-Depends on xmlada_dom gnatcoll_sqlite gprbuild,
    but not on texinfo imagemagick texlive-generic-recommended.
    Move dh-linktree and sphinx-common from Build-Depends to B-D-Indep.
    Depend: python-gi for default GUI.
    Recommend: python-jedi and -pep8 to prevent warnings in default startup.
    Stop Recommending obsolete gprbuild-doc.
  * Use Adacore uscan redirector and Files-Excluded to simplify updates.
  * New executables: gnatdoc (formerly docgen) gnatspark gps_cli.
  * docs in PDF and HTML formats thanks to sphinxdoc.
    Build-Depend: texlive-generic-extra for iftex.sty. Closes: #829676.
    Move docs/gps-welcome.html from -doc to -common, as gnat-gps requires it.
  * Freeze the clock for deterministic PDF timestamps.
  * Standards-Version: 3.9.8: replace menu file with desktop file.
  * Replace manual -dbg packages with automatic -dbgsym packages.
  * Enable all hardening options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 12:20:04 +0200
