=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat-6, libgnatprj6-dev,
 libxmlada-unicode6-dev, libxmlada-input-sources6-dev, libxmlada-sax6-dev, libxmlada-dom6-dev,
 gprbuild,
 libtemplates-parser11.10.1-dev,
 pkg-config, libglib2.0-dev, libgtk-3-dev,
 libgtkada3.8.3-dev,
# 1.7gpl2015-2 reverts to Python2, and GPS is incompatible with Python3.
 libgnatcoll-python1.7-dev (>=1.7gpl2015-2),
 libgnatcoll1.7-dev,
 libgnatcoll-gtk1.7-dev,
 libgnatcoll-sqlite1.7-dev
Build-Depends-Indep:
# Sphinx uses graphs for Python inheritance trees, in gps.py for example.
 graphviz,
 libjs-prototype (>= 1.6.1),
 libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-generic-extra,
 texlive-latex-extra,
# Called in rules for deterministic PDF timestamps.
 faketime,
# dh_sphinxdoc
 sphinx-common,
# other js libraries
 dh-linktree,
 python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
# Required for any compilation.
 gprbuild,
# Required by the Python scripts describing the GUI.
 python-gi,
# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
 libgnatcoll-sqlite-bin
Recommends: gnat (>= 4.9), gdb-minimal (>= 6.8),
 gnat-gps-doc (= ${source:Version})
 ,python-jedi
 ,python-pep8
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.
 .
 This package also provides related command line tools:
  - gnatdoc extracts documentation from comments in Ada sources
  - gnatspark runs a spark tool according to a GNAT project
  - gps_cli is a command-line interface for gnat-gps

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: ada-reference-manual-2012
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in HTML and PDF formats.
 This documentation consists of:
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules
  - an user's guide for the gnatdoc command line tool

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.
