=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=//,\
  dversionmangle=s/dfsg$// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gps \
.*gps-([\d\.]+)-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
